Description

SBCLTER has a jsp application which uses jstl. The version of jstl needed depends on the tomcat and servlet versions. This is from
http://jakarta.apache.org/taglibs/doc/standard-doc/intro.html:

Standard-1.1 (JSTL 1.1) requires a JSP container that supports the Java Servlet 2.4 and JavaServer Pages 2.0 specifications.
Jakarta Tomcat 5 supports the new specifications. The Standard-1.1 taglib has been tested with Tomcat 5.0.3.

Standard-1.0 (implementation of the JSTL 1.0 specification) requires a JSP container that supports the Java Servlet 2.3 and
JavaServer Pages 1.2 specifications. Jakarta Tomcat 4 supports these specifications. The Standard 1.0 taglib has been tested with
Tomcat 4.1.24.

There are actually 2 jars: jstl.1.x.x.jar and standard.1.x.x.jar. Metacat 1.7 comes with the 1.0 libraries, and so I've had to switch to the
1.1 version. Also, the 1.0 and 1.1 jars can't both be included by default - only the correct one. (You probably already knew that, but it
took me a day of head-scratching to get it).

The app that uses these libraries is at:
sbc.lternet.edu/publications

thanks!

History

#1 - 06/14/2007 12:20 PM - Chris Barteau

Currently has JSTL 1.0 which is used by GeoServer. Should just be a matter of replacing the jar with the latest version.

#2 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2873

#3 - 04/09/2013 05:14 PM - ben leinfelder

- Status changed from New to Resolved

jstl 1.1.2 is being used and Geoserve has been externalized. | think this is resolved.
